import csv

from django.core.management.base import BaseCommand

from grapes.bdd.models import Personne


class Command(BaseCommand):
    """
    Commande pour générer un export csv contenant les adresses email
    des personnes en base.
    """

    help = 'Export Personne objects email address to a csv file'

    def handle(self, *args, **options):
        with open('exported_emails.csv', 'w') as f:
            cnt = 0
            writer = csv.writer(f, delimiter=',', quotechar="'")
            for p in Personne.objects.all():
                if p.email:
                    cnt += 1
                    writer.writerow([p.email])

        if cnt <= 0:
            self.stderr.write(
                self.style.ERROR('Aucune adresse email n\' a été trouvée.')
            )
            return

        self.stdout.write(
            self.style.SUCCESS(f"Adresses email exportées : {cnt}")
        )
