# Generated by Django 3.2.18 on 2023-02-28 10:52

import datetime
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Competence',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('materiel_et_logistique', models.CharField(blank=True, choices=[['Offre', 'Offre'], ['Demande', 'Demande'], ['Offre et Demande', 'Offre et Demande']], max_length=255, verbose_name='Matériel et logistique')),
                ('formation_et_sensibilisation', models.CharField(blank=True, choices=[['Offre', 'Offre'], ['Demande', 'Demande'], ['Offre et Demande', 'Offre et Demande']], max_length=255, verbose_name='Formation et sensibilisation')),
                ('correspondant_et_relais_informations', models.CharField(blank=True, choices=[['Offre', 'Offre'], ['Demande', 'Demande'], ['Offre et Demande', 'Offre et Demande']], max_length=255, verbose_name="Correspondant et relais d'informations")),
                ('diverses', models.CharField(blank=True, choices=[['Offre', 'Offre'], ['Demande', 'Demande'], ['Offre et Demande', 'Offre et Demande']], max_length=255, verbose_name='Compétences diverses')),
                ('communication', models.CharField(blank=True, choices=[['Offre', 'Offre'], ['Demande', 'Demande'], ['Offre et Demande', 'Offre et Demande']], max_length=255, verbose_name='Communication')),
                ('rmq_materiel_et_logistique', models.TextField(blank=True, verbose_name='RMQ Matériel et logistique')),
                ('rmq_formation_et_sensibilisation', models.TextField(blank=True, verbose_name='RMQ Formation et sensibilisation')),
                ('rmq_correspondant_et_relais_informations', models.TextField(blank=True, verbose_name="RMQ Correspondant et relais d'informations")),
                ('rmq_diverses', models.TextField(blank=True, verbose_name='RMQ Compétences diverses')),
                ('rmq_communication', models.TextField(blank=True, verbose_name='RMQ Communication')),
            ],
            options={
                'verbose_name': 'Compétence',
            },
        ),
        migrations.CreateModel(
            name='ModePaiementAbonnement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_facturation', models.DateField(blank=True, default=datetime.date.today, null=True, verbose_name='date de facturation')),
                ('date_reglement', models.DateField(blank=True, null=True, verbose_name='date de règlement')),
                ('type', models.CharField(blank=True, max_length=255)),
                ('montant', models.IntegerField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Mode de Paiement (Abonnement)',
                'verbose_name_plural': 'Modes de Paiement (Abonnement)',
            },
        ),
        migrations.CreateModel(
            name='ModePaiementAdhesion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_facturation', models.DateField(blank=True, default=datetime.date.today, null=True, verbose_name='date de facturation')),
                ('date_reglement', models.DateField(blank=True, null=True, verbose_name='date de règlement')),
                ('type', models.CharField(blank=True, max_length=255)),
                ('montant', models.IntegerField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Mode de Paiement (Adhésion)',
                'verbose_name_plural': 'Modes de Paiement (Adhésion)',
            },
        ),
        migrations.CreateModel(
            name='StatutJuridique',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('libelle', models.CharField(max_length=255, verbose_name='libellé')),
            ],
            options={
                'verbose_name_plural': 'Statuts Juridiques',
            },
        ),
        migrations.CreateModel(
            name='Territoire',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('libelle', models.CharField(max_length=255, verbose_name='libellé')),
            ],
            options={
                'ordering': ['libelle'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='TypePartenaire',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('libelle', models.CharField(max_length=255, verbose_name='libellé')),
            ],
            options={
                'ordering': ['libelle'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Structure',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(blank=True, max_length=255)),
                ('adresse', models.CharField(blank=True, max_length=255)),
                ('code_postal', models.CharField(blank=True, max_length=255)),
                ('ville', models.CharField(blank=True, max_length=255)),
                ('telephone1', models.CharField(blank=True, max_length=255, verbose_name='téléphone 1')),
                ('telephone2', models.CharField(blank=True, max_length=255, verbose_name='téléphone 2')),
                ('fax', models.CharField(blank=True, max_length=255)),
                ('email', models.EmailField(blank=True, max_length=254)),
                ('site', models.CharField(blank=True, max_length=255)),
                ('abonne', models.BooleanField(default=False, verbose_name='abonné')),
                ('adherent', models.BooleanField(default=False, verbose_name='adhérent')),
                ('date_rencontre', models.CharField(blank=True, max_length=255, verbose_name='Date Évènement')),
                ('domaines_activite_txt', models.TextField(blank=True)),
                ('nb_salaries', models.IntegerField(blank=True, null=True, verbose_name='nombre de salariés')),
                ('mission', models.TextField(blank=True)),
                ('demarche_progres', models.BooleanField(blank=True, default=False, null=True, verbose_name='démarche progrès')),
                ('demarche_progres_environnement', models.BooleanField(blank=True, default=False, null=True, verbose_name='si oui Environnement')),
                ('demarche_progres_emploi', models.BooleanField(blank=True, default=False, null=True, verbose_name='et ou Emploi')),
                ('marche_citoyen', models.BooleanField(blank=True, default=False, verbose_name='BDIS Pro')),
                ('collectifs_acteurs', models.BooleanField(blank=True, default=False, verbose_name='Collectif acteurs')),
                ('sol', models.BooleanField(blank=True, default=False, verbose_name='SOL')),
                ('institutionnel', models.BooleanField(blank=True, default=False, verbose_name='Institutionnel')),
                ('journaliste', models.BooleanField(blank=True, default=False, verbose_name='Journaliste')),
                ('adresse_contact_etiquette', models.TextField(blank=True, editable=False)),
                ('autres_contacts', models.CharField(blank=True, max_length=255, verbose_name='Contact etiquette')),
                ('statut_juridique', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='bdd.statutjuridique')),
                ('territoires', models.ManyToManyField(blank=True, to='bdd.Territoire')),
            ],
            options={
                'ordering': ['nom'],
            },
        ),
        migrations.CreateModel(
            name='Personne',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(blank=True, max_length=255)),
                ('prenom', models.CharField(blank=True, max_length=255, verbose_name='prénom')),
                ('adresse', models.CharField(blank=True, max_length=255)),
                ('code_postal', models.CharField(blank=True, max_length=255)),
                ('ville', models.CharField(blank=True, max_length=255)),
                ('telephone1', models.CharField(blank=True, max_length=255, verbose_name='téléphone 1')),
                ('telephone2', models.CharField(blank=True, max_length=255, verbose_name='téléphone 2')),
                ('email', models.EmailField(blank=True, max_length=254)),
                ('abonne', models.BooleanField(default=False, verbose_name='abonné')),
                ('adherent', models.BooleanField(default=False, verbose_name='adhérent')),
                ('sol', models.BooleanField(default=False, verbose_name='SOL')),
                ('journaliste', models.BooleanField(default=False, verbose_name='journaliste')),
                ('adresse_complete', models.TextField(blank=True, editable=False)),
                ('territoires', models.ManyToManyField(blank=True, to='bdd.Territoire')),
            ],
            options={
                'ordering': ['nom', 'prenom'],
            },
        ),
        migrations.CreateModel(
            name='Fonction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(blank=True, max_length=255)),
                ('personne', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='bdd.personne')),
                ('structure', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='bdd.structure')),
            ],
            options={
                'ordering': ['structure__nom', 'personne__nom', 'personne__prenom'],
            },
        ),
        migrations.CreateModel(
            name='Affiliation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('etat', models.CharField(blank=True, max_length=255)),
                ('date_maj', models.DateField(auto_now=True)),
                ('nom_precedent', models.CharField(blank=True, editable=False, max_length=255, verbose_name='nom précédent (copie)')),
                ('adresse_complete', models.CharField(blank=True, editable=False, max_length=255)),
                ('email', models.EmailField(blank=True, editable=False, max_length=254)),
                ('montant_total', models.IntegerField(blank=True, default=0, editable=False, verbose_name='montant total (copie)')),
                ('personne', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='bdd.personne')),
                ('structure', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='bdd.structure')),
            ],
            options={
                'ordering': ['personne__nom', 'personne__prenom', 'structure__nom'],
            },
        ),
        migrations.CreateModel(
            name='Adhesion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('college', models.CharField(blank=True, choices=[['A', 'A'], ['B', 'B']], max_length=1)),
                ('commission', models.CharField(blank=True, editable=False, max_length=255)),
                ('collectif_acteur_txt', models.TextField(blank=True, editable=False)),
                ('date', models.DateField(blank=True, default=datetime.date.today, null=True, verbose_name='Date')),
                ('nom_associe', models.CharField(blank=True, editable=False, max_length=255, verbose_name='nom associé (copie)')),
                ('affiliation', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='bdd.affiliation')),
                ('paiement', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='bdd.modepaiementadhesion')),
            ],
            options={
                'verbose_name': 'Adhésion',
                'ordering': ['date'],
            },
        ),
        migrations.CreateModel(
            name='Abonnement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nb_exemplaires', models.IntegerField(blank=True, null=True)),
                ('adresse_differente', models.CharField(blank=True, editable=False, max_length=255)),
                ('date', models.DateField(blank=True, default=datetime.date.today, null=True)),
                ('nom_associe', models.CharField(blank=True, editable=False, max_length=255, verbose_name='nom associé (copie)')),
                ('affiliation', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='bdd.affiliation')),
                ('paiement', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='bdd.modepaiementabonnement')),
            ],
            options={
                'ordering': ['date'],
            },
        ),
    ]
