# Generated by Django 3.2.18 on 2023-04-28 18:36

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('bdd', '0012_raccourcit_et_corrige_du_helptext'),
    ]

    operations = [
        migrations.CreateModel(
            name='LienAvecAPES',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='RendezVous',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='TypeLien',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('libelle', models.CharField(max_length=255, verbose_name='libellé')),
                ('slug', models.SlugField(default='djangodbmodelsfieldscharfield')),
            ],
            options={
                'verbose_name': 'type de lien Web',
                'verbose_name_plural': 'types de liens Web',
            },
        ),
        migrations.AlterModelOptions(
            name='relation',
            options={'ordering': ['personne__nom', 'personne__prenom', 'fonction', 'structure__nom']},
        ),
        migrations.AddField(
            model_name='personne',
            name='relations',
            field=models.ManyToManyField(through='bdd.Relation', to='bdd.Structure', verbose_name='relations'),
        ),
        migrations.AddField(
            model_name='structure',
            name='particularites_structure',
            field=models.ManyToManyField(blank=True, help_text="Entreprise solidaire d'utilité sociale (ESUS), coopérative d’actvité et d’emploi (CAE)", to='bdd.ParticulariteStructure', verbose_name='Particularité de la structure'),
        ),
        migrations.AddField(
            model_name='structure',
            name='relations',
            field=models.ManyToManyField(through='bdd.Relation', to='bdd.Personne'),
        ),
        migrations.CreateModel(
            name='LienWeb',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.URLField(help_text='Copier-coller ici le lien vers la page Web en question. Débute en général par <em>https://</em> ou <em>http://</em>. ', verbose_name='Lien')),
                ('personne', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='bdd.personne')),
                ('structure', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='bdd.structure')),
                ('type_lien', models.ForeignKey(help_text='Site, blog, Mastodon, Facebook, Instagram, TikTok, Twitter…', on_delete=django.db.models.deletion.PROTECT, to='bdd.typelien', verbose_name='type de lien')),
            ],
            options={
                'verbose_name_plural': 'Liens Web',
            },
        ),
    ]
