# Generated by Django 3.2.18 on 2023-05-11 19:20

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('bdd', '0019_ajoute_table_ambassadeurs_apes'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='lienavecapes',
            options={'verbose_name': "lien avec l'APES", 'verbose_name_plural': "liens avec l'APES"},
        ),
        migrations.AddField(
            model_name='lienavecapes',
            name='personne',
            field=models.ForeignKey(blank=True, help_text='Personne qui est en lien avec l’APES. ⚠️ Ne pas remplir en même temps que « Structure ».', limit_choices_to={'desactive': False}, null=True, on_delete=django.db.models.deletion.PROTECT, to='bdd.personne'),
        ),
        migrations.AddField(
            model_name='lienavecapes',
            name='personne_apes',
            field=models.ForeignKey(default=1, limit_choices_to={'referent_apes': True}, on_delete=django.db.models.deletion.PROTECT, related_name='personne_apes', to='bdd.personne', verbose_name='personne référente côté APES'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='lienavecapes',
            name='structure',
            field=models.ForeignKey(blank=True, help_text='Structure qui est en lien avec l’APES. ⚠️ Ne pas remplir en même temps que « Personne ».', limit_choices_to={'desactive': False}, null=True, on_delete=django.db.models.deletion.PROTECT, to='bdd.structure'),
        ),
        migrations.AddField(
            model_name='personne',
            name='desactive',
            field=models.BooleanField(default=False, help_text='Masque la fiche pour la plupart des utilisateur·ices', verbose_name='désactivé'),
        ),
        migrations.AddField(
            model_name='personne',
            name='liens_avec_apes',
            field=models.ManyToManyField(through='bdd.LienAvecAPES', to='bdd.Personne', verbose_name="Liens avec l'APES"),
        ),
        migrations.AddField(
            model_name='rendezvous',
            name='commentaires',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='rendezvous',
            name='piece_jointe',
            field=models.FileField(blank=True, null=True, upload_to='pieces-jointes'),
        ),
        migrations.AddField(
            model_name='structure',
            name='desactive',
            field=models.BooleanField(default=False, help_text='Masque la fiche pour la plupart des utilisateur·ices', verbose_name='désactivé'),
        ),
        migrations.AlterField(
            model_name='activiteapes',
            name='libelle',
            field=models.CharField(help_text='ℹ️ Le nom pour les humains. ⚠️ Doît être unique et faire au maximum 255 caractères.', max_length=255, verbose_name='libellé'),
        ),
        migrations.AlterField(
            model_name='activiteapes',
            name='slug',
            field=models.SlugField(help_text='ℹ️ Le nom pour les machines. ⚠️ Doît être unique et faire au maximum 50 caractères.'),
        ),
        migrations.AlterField(
            model_name='domaineactivite',
            name='libelle',
            field=models.CharField(help_text='ℹ️ Le nom pour les humains. ⚠️ Doît être unique et faire au maximum 255 caractères.', max_length=255, verbose_name='libellé'),
        ),
        migrations.AlterField(
            model_name='domaineactivite',
            name='slug',
            field=models.SlugField(help_text='ℹ️ Le nom pour les machines. ⚠️ Doît être unique et faire au maximum 50 caractères.'),
        ),
        migrations.AlterField(
            model_name='fonction',
            name='libelle',
            field=models.CharField(help_text='ℹ️ Le nom pour les humains. ⚠️ Doît être unique et faire au maximum 255 caractères.', max_length=255, verbose_name='libellé'),
        ),
        migrations.AlterField(
            model_name='fonction',
            name='slug',
            field=models.SlugField(help_text='ℹ️ Le nom pour les machines. ⚠️ Doît être unique et faire au maximum 50 caractères.'),
        ),
        migrations.AlterField(
            model_name='lienweb',
            name='personne',
            field=models.ForeignKey(blank=True, help_text='Personne à qui appartient le lien. ⚠️ Ne pas remplir en même temps que « Structure ».', null=True, on_delete=django.db.models.deletion.PROTECT, to='bdd.personne'),
        ),
        migrations.AlterField(
            model_name='lienweb',
            name='structure',
            field=models.ForeignKey(blank=True, help_text='Structure à qui appartient le lien. ⚠️ Ne pas remplir en même temps que « Personne ».', null=True, on_delete=django.db.models.deletion.PROTECT, to='bdd.structure'),
        ),
        migrations.AlterField(
            model_name='particularitestructure',
            name='libelle',
            field=models.CharField(help_text='ℹ️ Le nom pour les humains. ⚠️ Doît être unique et faire au maximum 255 caractères.', max_length=255, verbose_name='libellé'),
        ),
        migrations.AlterField(
            model_name='particularitestructure',
            name='slug',
            field=models.SlugField(help_text='ℹ️ Le nom pour les machines. ⚠️ Doît être unique et faire au maximum 50 caractères.'),
        ),
        migrations.AlterField(
            model_name='personne',
            name='activites_apes',
            field=models.ManyToManyField(blank=True, help_text="Activité(s) de <em>l'APES</em> dans lesquelles la personne estactive.", to='bdd.ActiviteAPES', verbose_name='activité de l’APES'),
        ),
        migrations.AlterField(
            model_name='relation',
            name='fonction',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='bdd.fonction'),
        ),
        migrations.AlterField(
            model_name='rendezvous',
            name='autres_personnes_presentes',
            field=models.ManyToManyField(limit_choices_to={'desactive': False}, related_name='autres_personnes', to='bdd.Personne', verbose_name='Autres personnes présentes'),
        ),
        migrations.AlterField(
            model_name='rendezvous',
            name='personnes_apes',
            field=models.ManyToManyField(limit_choices_to={'desactive': False, 'referent_apes': True}, related_name='personnes_apes', to='bdd.Personne', verbose_name='Personnes de l’APES'),
        ),
        migrations.AlterField(
            model_name='rendezvous',
            name='structures_presentes',
            field=models.ManyToManyField(blank=True, limit_choices_to={'desactive': False}, to='bdd.Structure'),
        ),
        migrations.AlterField(
            model_name='statutjuridique',
            name='libelle',
            field=models.CharField(help_text='ℹ️ Le nom pour les humains. ⚠️ Doît être unique et faire au maximum 255 caractères.', max_length=255, verbose_name='libellé'),
        ),
        migrations.AlterField(
            model_name='statutjuridique',
            name='slug',
            field=models.SlugField(help_text='ℹ️ Le nom pour les machines. ⚠️ Doît être unique et faire au maximum 50 caractères.'),
        ),
        migrations.AlterField(
            model_name='territoire',
            name='libelle',
            field=models.CharField(help_text='ℹ️ Le nom pour les humains. ⚠️ Doît être unique et faire au maximum 255 caractères.', max_length=255, verbose_name='libellé'),
        ),
        migrations.AlterField(
            model_name='territoire',
            name='parents',
            field=models.ManyToManyField(blank=True, help_text='ℹ️ Territoire(s) plus étendu(s) dont le territoire actuel fait entièrement partie.️ ⚠️ Un territoire ne peut pas être son propre parents ou le parent de ses parents. Comme en généalogie (sauf dans les histoires de voyage dans le temps 🛸).', related_name='_bdd_territoire_parents_+', to='bdd.Territoire'),
        ),
        migrations.AlterField(
            model_name='territoire',
            name='slug',
            field=models.SlugField(help_text='ℹ️ Le nom pour les machines. ⚠️ Doît être unique et faire au maximum 50 caractères.'),
        ),
        migrations.AlterField(
            model_name='typeambassadeur',
            name='libelle',
            field=models.CharField(help_text='ℹ️ Le nom pour les humains. ⚠️ Doît être unique et faire au maximum 255 caractères.', max_length=255, verbose_name='libellé'),
        ),
        migrations.AlterField(
            model_name='typeambassadeur',
            name='slug',
            field=models.SlugField(help_text='ℹ️ Le nom pour les machines. ⚠️ Doît être unique et faire au maximum 50 caractères.'),
        ),
        migrations.AlterField(
            model_name='typelien',
            name='libelle',
            field=models.CharField(help_text='ℹ️ Le nom pour les humains. ⚠️ Doît être unique et faire au maximum 255 caractères.', max_length=255, verbose_name='libellé'),
        ),
        migrations.AlterField(
            model_name='typelien',
            name='slug',
            field=models.SlugField(help_text='ℹ️ Le nom pour les machines. ⚠️ Doît être unique et faire au maximum 50 caractères.'),
        ),
        migrations.AlterField(
            model_name='typepaiement',
            name='libelle',
            field=models.CharField(help_text='ℹ️ Le nom pour les humains. ⚠️ Doît être unique et faire au maximum 255 caractères.', max_length=255, verbose_name='libellé'),
        ),
        migrations.AlterField(
            model_name='typepaiement',
            name='slug',
            field=models.SlugField(help_text='ℹ️ Le nom pour les machines. ⚠️ Doît être unique et faire au maximum 50 caractères.'),
        ),
        migrations.AlterField(
            model_name='typepartenaire',
            name='libelle',
            field=models.CharField(help_text='ℹ️ Le nom pour les humains. ⚠️ Doît être unique et faire au maximum 255 caractères.', max_length=255, verbose_name='libellé'),
        ),
        migrations.AlterField(
            model_name='typepartenaire',
            name='slug',
            field=models.SlugField(help_text='ℹ️ Le nom pour les machines. ⚠️ Doît être unique et faire au maximum 50 caractères.'),
        ),
    ]
