# Generated by Django 3.2.20 on 2023-09-07 16:30

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('bdd', '0030_supression_de_personnes_et_structures'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='personne',
            name='desactive',
        ),
        migrations.RemoveField(
            model_name='structure',
            name='desactive',
        ),
        migrations.AddField(
            model_name='affiliation',
            name='masque',
            field=models.BooleanField(default=False, help_text='ℹ️ Permet de masquer l’affiliation via un filtre de liste et dans certains champs. ⚠️ L’affiliation n’est plus sélectionnable dans certains outils de la base.', verbose_name='masqué'),
        ),
        migrations.AddField(
            model_name='personne',
            name='masque',
            field=models.BooleanField(default=False, help_text='ℹ️ Permet de masquer la personne via un filtre de liste et dans certains champs. ⚠️ La personne n’est plus sélectionnable dans certains outils de la base.', verbose_name='Masqué'),
        ),
        migrations.AddField(
            model_name='structure',
            name='masque',
            field=models.BooleanField(default=False, help_text='ℹ️ Permet de masquer la structure via un filtre de liste et dans certains champs. ⚠️ La structure n’est plus sélectionnable dans certains outils de la base.', verbose_name='masqué'),
        ),
        migrations.AlterField(
            model_name='abonnement',
            name='nb_exemplaires',
            field=models.IntegerField(blank=True, default=1, null=True),
        ),
        migrations.AlterField(
            model_name='ambassadeurapes',
            name='personne',
            field=models.ForeignKey(blank=True, limit_choices_to={'masque': False}, null=True, on_delete=django.db.models.deletion.PROTECT, to='bdd.personne'),
        ),
        migrations.AlterField(
            model_name='lienavecapes',
            name='personne',
            field=models.ForeignKey(blank=True, help_text='ℹ️ Personne qui est en lien avec l’APES. ⚠️ Ne pas remplir en même temps que « Structure ».', null=True, on_delete=django.db.models.deletion.PROTECT, to='bdd.personne'),
        ),
        migrations.AlterField(
            model_name='lienavecapes',
            name='personne_apes',
            field=models.ForeignKey(limit_choices_to={'masque': False, 'referent_apes': True}, on_delete=django.db.models.deletion.PROTECT, related_name='personne_apes', to='bdd.personne', verbose_name='personne référente côté APES'),
        ),
        migrations.AlterField(
            model_name='lienavecapes',
            name='structure',
            field=models.ForeignKey(blank=True, help_text='ℹ️ Structure qui est en lien avec l’APES. ⚠️ Ne pas remplir en même temps que « Personne ».', null=True, on_delete=django.db.models.deletion.PROTECT, to='bdd.structure'),
        ),
        migrations.AlterField(
            model_name='lienweb',
            name='type_lien',
            field=models.ForeignKey(help_text='ℹ️ Site, blog, Mastodon, Facebook, Instagram, TikTok,Twitter…', on_delete=django.db.models.deletion.PROTECT, to='bdd.typelien', verbose_name='type de lien'),
        ),
        migrations.AlterField(
            model_name='lienweb',
            name='url',
            field=models.URLField(help_text='ℹ️ Copier-coller ici le lien vers la page Web en question. Débute en général par <em>https://</em> ou <em>http://</em>. ', verbose_name='Lien'),
        ),
        migrations.AlterField(
            model_name='personne',
            name='a_supprimer',
            field=models.BooleanField(default=False, help_text='⚠️ Note la fiche comme à supprimer par les administrateur·ice·s', verbose_name='à supprimer'),
        ),
        migrations.AlterField(
            model_name='personne',
            name='activites_apes',
            field=models.ManyToManyField(blank=True, help_text="ℹ️ Activité(s) de <em>l'APES</em> dans lesquelles la personne estactive.", to='bdd.ActiviteAPES', verbose_name='activité de l’APES'),
        ),
        migrations.AlterField(
            model_name='personne',
            name='ambassadeur_apes',
            field=models.ManyToManyField(blank=True, help_text='ℹ️ Relais local, ambassadeur·ice <abbr>PLUSS</abbr>…', through='bdd.AmbassadeurAPES', to='bdd.TypeAmbassadeur', verbose_name='ambassadeur ou ambassadrice APES'),
        ),
        migrations.AlterField(
            model_name='personne',
            name='referent_apes',
            field=models.BooleanField(default=False, help_text='ℹ️ La personne représente-t-iel l’<em>APES</em> ?', verbose_name='Référent APES'),
        ),
        migrations.AlterField(
            model_name='rendezvous',
            name='autres_personnes_presentes',
            field=models.ManyToManyField(related_name='autres_personnes', to='bdd.Personne', verbose_name='autres personne(s) présente(s)'),
        ),
        migrations.AlterField(
            model_name='rendezvous',
            name='date_debut',
            field=models.DateTimeField(default=django.utils.timezone.now, verbose_name='date et heure de début'),
        ),
        migrations.AlterField(
            model_name='rendezvous',
            name='date_fin',
            field=models.DateTimeField(default=django.utils.timezone.now, verbose_name='date et heure de fin'),
        ),
        migrations.AlterField(
            model_name='rendezvous',
            name='personnes_apes',
            field=models.ManyToManyField(limit_choices_to={'referent_apes': True}, related_name='personnes_apes', to='bdd.Personne', verbose_name='personne(s) de l’APES'),
        ),
        migrations.AlterField(
            model_name='rendezvous',
            name='structures_presentes',
            field=models.ManyToManyField(blank=True, to='bdd.Structure', verbose_name='structure(s) présente(s)'),
        ),
        migrations.AlterField(
            model_name='structure',
            name='a_supprimer',
            field=models.BooleanField(default=False, help_text='⚠️ Note la fiche comme à supprimer par les administrateur·ice·s', verbose_name='à supprimer'),
        ),
        migrations.AlterField(
            model_name='structure',
            name='nom',
            field=models.CharField(max_length=255, null=True),
        ),
        migrations.AlterField(
            model_name='territoire',
            name='parent',
            field=models.ForeignKey(blank=True, help_text='ℹ️ Territoire plus étendu dont le territoire actuel fait entièrement partie.️ ⚠️ Un territoire ne peut pas être son propre parent ou le parent de ses parents. Comme en généalogie  (sauf dans les histoires de voyage dans le temps ou de clonage  🛸).', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='enfants', to='bdd.territoire'),
        ),
    ]
