# -*- coding: utf-8 -*-

from django.test import TestCase

from ..forms import AdhesionPaiementForm


class FormTest(TestCase):
    def test_adhesionpaiementform_is_not_valid(self):
        data = {
            "college": "A",
            "date": "2022-12-01",
            "montant": 10,
        }
        form = AdhesionPaiementForm(data)
        self.assertFalse(form.is_valid())
        self.assertTrue(
            "Veuillez saisir le type de paiement" in form._errors["type"]
        )

    def test_adhesionpaiementform_is_valid(self):
        data = {
            "college": "A",
            "date": "2022-12-01",
            "montant": 10,
            "type": "yolo",
        }
        form = AdhesionPaiementForm(data)
        self.assertTrue(form.is_valid())
