import pytest

from ..management.base import re_slug_all_fields, re_slug_field
from ..models import Territoire


@pytest.mark.parametrize(
    "slug,force,exp_slug",
    [
        ('', True, 'groenland'),
        ('', False, 'groenland'),
        ('nimp', True, 'groenland'),
        ('nimp', False, 'nimp'),
    ],
)
@pytest.mark.django_db
def test_slugfield(slug, force, exp_slug):
    territoire = Territoire.objects.create(libelle="Groenland", slug=slug)
    re_slug_field(Territoire, force=force)
    territoire.refresh_from_db()
    assert territoire.slug == exp_slug


@pytest.mark.django_db
def test_slug_all_field_force(territoire_base):
    territoire = Territoire.objects.create(libelle="Groenland", slug='nimp')
    re_slug_all_fields(force=True)
    territoire.refresh_from_db()
    assert territoire.slug == 'groenland'
